Home
last modified time | relevance | path

Searched +full:openssl +full:- +full:dev (Results 1 – 25 of 293) sorted by relevance

12345678910>>...12

/src/sys/conf/
H A Dfiles.powerpc5 # The long compile-with and dependency lines are required because of
6 # limitations in config: backslash-newline doesn't work in strings, and
14 contrib/openzfs/module/icp/asm-ppc64/blake3/b3_ppc64le_sse2.S optional zfs compile-with "${ZFS_S}"
15 contrib/openzfs/module/icp/asm-ppc64/blake3/b3_ppc64le_sse41.S optional zfs compile-with "${ZFS_S}"
18 contrib/openzfs/module/icp/asm-ppc64/sha2/sha256-p8.S optional zfs compile-with "${ZFS_S}"
19 contrib/openzfs/module/icp/asm-ppc64/sha2/sha512-p8.S optional zfs compile-with "${ZFS_S}"
20 zfs-sha256-ppc.o optional zfs \
21 dependency "$S/contrib/openzfs/module/icp/asm-ppc64/sha2/sha256-ppc.S" \
22 …compile-with "${CC} -c ${ZFS_ASM_CFLAGS} -o ${.TARGET} ${WERROR} $S/contrib/openzfs/module/icp/asm
23 no-implicit-rule \
[all …]
H A Dfiles.arm16 arm/arm/cpu_asm-v6.S standard
33 arm/arm/identcpu-v6.c standard
37 arm/arm/locore.S standard no-obj
38 arm/arm/hypervisor-stub.S standard
55 arm/arm/pmap-v6.c standard
65 compile-with "${NORMAL_C:N-Wmissing-prototypes}"
68 arm/arm/swtch-v6.S standard
71 arm/arm/trap-v6.c standard
77 cddl/dev/dtrace/arm/dtrace_asm.S optional dtrace compile-with "${DTRACE_S}"
78 cddl/dev/dtrace/arm/dtrace_isa.c optional dtrace compile-with "${DTRACE_C}"
[all …]
H A Dfiles.arm6464 arm64/arm64/locore.S standard no-obj
77 compile-with "${NORMAL_C:N-mbranch-protection*} -mbranch-protection=bti"
94 compile-with "${NOSAN_C}"
117 dev/smbios/smbios_subr.c standard
126 dev/iommu/busdma_iommu.c optional iommu
127 dev/iommu/iommu_gas.c optional iommu
138 compile-with "${NOSAN_C} -fpie" \
139 no-obj
142 compile-with "${NOSAN_C} -fpie" \
143 no-obj
[all …]
H A Dfiles.i3869 # The long compile-with and dependency lines are required because of
10 # limitations in config: backslash-newline doesn't work in strings, and
13 cddl/dev/dtrace/i386/dtrace_asm.S optional dtrace compile-with "${DTRACE_S}"
14 cddl/dev/dtrace/i386/dtrace_subr.c optional dtrace compile-with "${DTRACE_C}"
17 crypto/openssl/i386/aesni-x86.S optional ossl
18 crypto/openssl/i386/chacha-x86.S optional ossl
19 crypto/openssl/i386/poly1305-x86.S optional ossl
20 crypto/openssl/i386/sha1-586.S optional ossl
21 crypto/openssl/i386/sha256-586.S optional ossl
22 crypto/openssl/i386/sha512-586.S optional ossl
[all …]
H A Dfiles.amd649 # The long compile-with and dependency lines are required because of
10 # limitations in config: backslash-newline doesn't work in strings, and
14 elf-vdso.so.o standard \
16 …compile-with "env AWK='${AWK}' NM='${NM}' LD='${LD}' CC='${CC}' OBJCOPY='${OBJCOPY}' ELFDUMP='${EL…
17 no-ctfconvert \
18 no-implicit-rule before-depend \
19 clean "elf-vdso.so.o elf-vdso.so.1 vdso_offsets.h sigtramp.pico"
21 elf-vdso32.so.o optional compat_freebsd32 \
23 …compile-with "env AWK='${AWK}' NM='${NM}' LD='${LD}' CC='${CC}' OBJCOPY='${OBJCOPY}' ELFDUMP='${EL…
24 no-ctfconvert \
[all …]
/src/crypto/openssh/contrib/
H A Dfindssl.sh4 # Search for all instances of OpenSSL headers and libraries
6 # Intended to help diagnose OpenSSH's "OpenSSL headers do not
13 # 2002-07-27: Initial release.
14 # 2002-08-04: Added public domain notice.
15 # 2003-06-24: Incorporated readme, set library paths. First cvs version.
16 # 2004-12-13: Add traps to cleanup temp files, from Amarendra Godbole.
18 # "OpenSSL headers do not match your library" are usually caused by
19 # OpenSSH's configure picking up an older version of OpenSSL headers
23 # The output of configure will tell you the versions of the OpenSSL
26 # checking OpenSSL header version... 90604f (OpenSSL 0.9.6d 9 May 2002)
[all …]
/src/libexec/rc/rc.d/
H A Dsendmail12 # XXX - Get together with sendmail mantainer to figure out how to
26 command=${sendmail_program:-/usr/sbin/${name}}
27 pidfile=${sendmail_pidfile:-/var/run/${name}.pid}
28 procname=${sendmail_procname:-/usr/sbin/${name}}
71 cnname="${sendmail_cert_cn:-`hostname`}"
72 cnname="${cnname:-amnesiac}"
76 CAdir=`mktemp -d` &&
77 certpass=`(date; ps ax ; hostname) | md5 -q`
86 cat <<-OPENSSL_CNF > openssl.cnf &&
127 stateOrProvinceName = Some-state
[all …]
/src/crypto/openssh/.github/
H A Dsetup_ci.sh15 setfacl -b . regress
16 PACKAGES="$PACKAGES,autoconf,automake,cygwin-devel,gcc-core"
17 PACKAGES="$PACKAGES,make,openssl,libssl-devel,zlib-devel"
19 *-darwin*)
32 set -e
34 if [ -x "`which lsb_release 2>&1`" ]; then
35 lsb_release -a
38 if [ ! -z "$SUDO" ]; then
40 # agent-getpeerid test from running ssh-add as nobody. See
41 # https://github.com/actions/runner-images/issues/6106
[all …]
/src/crypto/openssl/
H A DSUPPORT.md1 OpenSSL User Support resources
4 See the <https://www.openssl.org/support/contracts.html> for details on how to
7 If you have general questions about using OpenSSL
8 -------------------------------------------------
10 In this case the [openssl-users] mailing list is the right place for you.
11 The list is not only watched by the OpenSSL team members, but also by many
12 other OpenSSL users. Here you will most likely get the answer to your questions.
13 An overview over the [mailing lists](#mailing-lists) can be found below.
16 ----------------------------
22 If you have any problems with OpenSSL then please take the following steps
[all …]
H A DNOTES-DJGPP.md4 OpenSSL has been ported to DJGPP, a Unix look-alike 32-bit run-time
5 environment for 16-bit DOS, but only with long filename support.
13 installed (see [NOTES-PERL.md](NOTES-PERL.md)).
18 <http://www.delorie.com/djgpp/zip-picker.html>. You also need to have
19 the WATT-32 networking package installed before you try to compile
20 OpenSSL. This can be obtained from <http://www.watt-32.net/>.
21 The Makefile assumes that the WATT-32 code is in the directory
22 specified by the environment variable WATT_ROOT. If you have watt-32
24 `WATT_ROOT="/dev/env/DJDIR/watt32"`.
26 To compile OpenSSL, start your BASH shell, then configure for DJGPP by
[all …]
/src/crypto/krb5/.github/workflows/
H A Dbuild.yml10 runs-on: ${{ matrix.os }}
12 fail-fast: false
14 name: [linux-clang, linux-clang-openssl, linux-gcc]
16 - name: linux-clang
17 os: ubuntu-latest
19 makevars: CPPFLAGS=-Werror
20 configureopts: --enable-asan
21 - name: linux-clang-openssl
22 os: ubuntu-latest
24 makevars: CPPFLAGS=-Werror
[all …]
/src/contrib/ntp/sntp/libevent/m4/
H A Dlibevent_openssl.m42 dnl OpenSSL support
13 OPENSSL_LIBS=`$PKG_CONFIG --libs openssl 2>/dev/null`
20 OPENSSL_INCS=`$PKG_CONFIG --cflags openssl 2>/dev/null`
34 OPENSSL_LIBS="$LIBS -l$lib $EV_LIB_GDI $EV_LIB_WS32 $OPENSSL_LIBADD"],
36 [-l$lib $EV_LIB_GDI $EV_LIB_WS32 $OPENSSL_LIBADD])
44 AC_CHECK_HEADERS([openssl/ssl.h], [], [have_openssl=no])
49 yes) AC_DEFINE(HAVE_OPENSSL, 1, [Define if the system has openssl]) ;;
50 *) AC_MSG_ERROR([openssl is a must but can not be found. You should add the \
51 directory containing `openssl.pc' to the `PKG_CONFIG_PATH' environment variable, \
52 or set `CFLAGS' and `LDFLAGS' directly for openssl, or use `--disable-openssl' \
[all …]
/src/contrib/libevent/m4/
H A Dlibevent_openssl.m42 dnl OpenSSL support
13 OPENSSL_LIBS=`$PKG_CONFIG --libs openssl 2>/dev/null`
20 OPENSSL_INCS=`$PKG_CONFIG --cflags openssl 2>/dev/null`
34 OPENSSL_LIBS="$LIBS -l$lib $EV_LIB_GDI $EV_LIB_WS32 $OPENSSL_LIBADD"],
36 [-l$lib $EV_LIB_GDI $EV_LIB_WS32 $OPENSSL_LIBADD])
44 AC_CHECK_HEADERS([openssl/ssl.h], [], [have_openssl=no])
49 yes) AC_DEFINE(HAVE_OPENSSL, 1, [Define if the system has openssl]) ;;
50 *) AC_MSG_ERROR([openssl is a must but can not be found. You should add the \
51 directory containing `openssl.pc' to the `PKG_CONFIG_PATH' environment variable, \
52 or set `CFLAGS' and `LDFLAGS' directly for openssl, or use `--disable-openssl' \
[all …]
/src/crypto/openssl/include/crypto/
H A Drand.h2 * Copyright 2016-2025 The OpenSSL Project Authors. All Rights Reserved.
7 * https://www.openssl.org/source/license.html
14 * https://www.openssl.org/source/license.html
22 #include <openssl/rand.h>
39 * set this to a comma-separated list of 'random' device files to try out. By
42 #define DEVRANDOM "/dev/urandom", "/dev/random", "/dev/hwrng", "/dev/srandom"
45 #define DEVRANDOM_WAIT "/dev/random"
49 * is no reliable way to tell that /dev/urandom has been seeded -- getentropy(2)
58 * from /dev/random.
76 * set this to a comma-separated list of 'egd' sockets to try out. These
[all …]
/src/contrib/unbound/smallapp/
H A Dunbound-control-setup.sh.in3 # unbound-control-setup.sh - set up SSL certificates for unbound-control
43 CLIENTNAME=unbound-control
57 # base name for unbound-control keys
63 # we want -rw-r----- access (say you run this as root: grp=yes (server), all=no).
68 set -eu
73 rm -rf \
82 printf "fatal error: $*\n" >/dev/stderr
90 -d <dir> used directory to store keys and certificates (default: $DESTDIR)
91 -h show help notice
92 -r recreate certificates
[all …]
H A Dunbound-control-setup.sh3 # unbound-control-setup.sh - set up SSL certificates for unbound-control
43 CLIENTNAME=unbound-control
57 # base name for unbound-control keys
63 # we want -rw-r----- access (say you run this as root: grp=yes (server), all=no).
68 set -eu
73 rm -rf \
82 printf "fatal error: $*\n" >/dev/stderr
90 -d <dir> used directory to store keys and certificates (default: $DESTDIR)
91 -h show help notice
92 -r recreate certificates
[all …]
/src/share/examples/uefisign/
H A Duefikeys8 echo "$*" > /dev/stderr
12 if [ $# -ne 1 ]; then
13 echo "usage: $0 common-name"
26 [ ! -e "${certfile}" ] || die "${certfile} already exists"
27 [ ! -e "${efifile}" ] || die "${efifile} already exists"
28 [ ! -e "${keyfile}" ] || die "${keyfile} already exists"
32 openssl genrsa -out "${keyfile}" 2048 2> /dev/null || die "openssl genrsa failed"
33 openssl req -new -x509 -sha256 -days "${days}" -subj "${subj}" -key "${keyfile}" -out "${certfile}"…
34 openssl x509 -inform PEM -outform DER -in "${certfile}" -out "${efifile}" || die "openssl x509 fail…
/src/sys/crypto/openssl/
H A Dossl.c1 /*-
2 * SPDX-License-Identifier: BSD-2-Clause
33 * from OpenSSL.
47 #include <crypto/openssl/ossl.h>
48 #include <crypto/openssl/ossl_chacha.h>
49 #include <crypto/openssl/ossl_cipher.h>
53 static MALLOC_DEFINE(M_OSSL, "ossl", "OpenSSL crypto");
64 ossl_probe(device_t dev) in ossl_probe() argument
67 device_set_desc(dev, "OpenSSL crypto"); in ossl_probe()
72 ossl_attach(device_t dev) in ossl_attach() argument
[all …]
/src/contrib/wpa/wpa_supplicant/
H A DREADME-Windows.txt4 Copyright (c) 2003-2009, Jouni Malinen <j@w1.fi> and contributors
23 - plaintext
24 - static WEP / open system authentication
25 - static WEP / shared key authentication
26 - IEEE 802.1X with dynamic WEP keys
27 - WPA-PSK, TKIP, CCMP, TKIP+CCMP
28 - WPA-EAP, TKIP, CCMP, TKIP+CCMP
29 - WPA2-PSK, TKIP, CCMP, TKIP+CCMP
30 - WPA2-EAP, TKIP, CCMP, TKIP+CCMP
34 ----------------------------------
[all …]
/src/.github/
H A DCODEOWNERS21 # recent maintainer of a sub-system is to check recent logs for that
22 # directory or sub-system.
35 /contrib/atf @ngie-eign
37 /contrib/googletest @ngie-eign
39 /contrib/llvm-project @DimitryAndric
40 /contrib/llvm-project/libunwind @DimitryAndric @emaste @bsdjhb
41 /contrib/llvm-project/lldb @DimitryAndric @emaste
42 /contrib/llvm-project/openmp @DimitryAndric @emaste
44 /contrib/netbsd-tests @ngie-eign
45 /contrib/netbsd-tests/crypto/opencrypto/ @jmgurney
[all …]
/src/etc/mtree/
H A DBSD.include.dist5 /set type=dir uname=root gname=wheel mode=0755 tags=package=clibs-dev
9 atf-c
11 atf-c++
13 bsm tags=package=audit-dev
121 casper tags=package=libcasper-dev
125 dev
193 devdctl tags=package=utilities-dev
195 edit tags=package=runtime-dev
196 readline tags=package=runtime-dev
255 gssapi tags=package=kerberos-dev
[all …]
/src/crypto/openssl/util/
H A Dctags.sh3 # Copyright 2023 The OpenSSL Project Authors. All Rights Reserved.
8 # https://www.openssl.org/source/license.html
23 if ! type "${CTAGS}" > /dev/null; then
28 if [ $# -eq 0 ]; then
29 set - -R
32 if ! "${CTAGS}" --version | grep -q "Universal Ctags"; then
37 if "${CTAGS}" --version | grep -q "Universal Ctags 5.*"; then
42 if ! type "${READTAGS}" > /dev/null 2>&1; then
49 if ! [ -d ./.ctags.d ]; then
56 # configuration files. So --options=NONE is passed.
[all …]
/src/crypto/openssh/
H A DINSTALL2 ----------------
6 compiler's run-time integrity checking options. Some notes about
8 - clang: -ftrapv and -sanitize=integer require the compiler-rt runtime
9 (CC=clang LDFLAGS=--rtlib=compiler-rt ./configure)
22 libcrypto from either of LibreSSL or OpenSSL. Building without libcrypto
24 - LibreSSL (https://www.libressl.org/) 3.1.0 or greater
25 - OpenSSL (https://www.openssl.org) 1.1.1 or greater
27 LibreSSL/OpenSSL should be compiled as a position-independent library
28 (i.e. -fPIC, eg by configuring OpenSSL as "./config [options] -fPIC"
29 or LibreSSL as "CFLAGS=-fPIC ./configure") otherwise OpenSSH will not
[all …]
/src/contrib/unbound/
H A Dconfigure.ac1 # -*- Autoconf -*-
16 …([VERSION_MAJOR]).m4_defn([VERSION_MINOR]).m4_defn([VERSION_MICRO]),[unbound-bugs@nlnetlabs.nl or …
31 # 1.3.0 had 1:0:0 # ub_cancel and -export-symbols.
36 # 1.4.0-snapshots had 1:5:0
125 # Current -- the number of the binary API that we're implementing
126 # Revision -- which iteration of the implementation of the binary
128 # Age -- How many previous binary API versions do we also
148 cmdln="`echo $@ | sed -e 's/\\\\/\\\\\\\\/g' | sed -e 's/"/\\\\"/'g`"
172 if uname -s 2>&1 | grep MINGW >/dev/null; then on_mingw="yes"
174 if echo $host | grep mingw >/dev/null; then on_mingw="yes"
[all …]
/src/contrib/libfido2/src/
H A Decdh.c2 * Copyright (c) 2018-2021 Yubico AB. All rights reserved.
3 * Use of this source code is governed by a BSD-style
5 * SPDX-License-Identifier: BSD-2-Clause
8 #include <openssl/evp.h>
9 #include <openssl/sha.h>
11 #include <openssl/hkdf.h>
13 #include <openssl/kdf.h>
28 HKDF(key, SHA256_DIGEST_LENGTH, md, secret->ptr, secret->len, salt, in hkdf_sha256()
30 return -1; in hkdf_sha256()
43 int ok = -1; in hkdf_sha256()
[all …]

12345678910>>...12